Name:		spacefm
Version:	0.8.7
Release:	%mkrel 2
Summary:	A multi-panel tabbed file manager
Group:		File tools
License:	GPLv3+
Url:		http://ignorantguru.github.com/spacefm/
Source0:	http://download.sourceforge.net/spacefm/%{name}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libstartup-notification-1.0)

# To perform 'run as root' functions
Suggests:	gksu

# Eject media
Suggests:	util-linux

# For device processes
Suggests:	lsof

# Mount as non-root user
Suggests:	udisks2

# For plugin download
Suggests:	wget

%description
SpaceFM is a multi-panel tabbed file manager with built-in VFS, udev-based
device manager, customizable menu system, and bash integration.

%prep
%setup -q
%apply_patches

%build
%configure2_5x
%make

%install
%makeinstall_std

# for configs
mkdir -p %{buildroot}%{_sysconfdir}/%{name}/

# handle docs in files section
rm -rf %{buildroot}%{_defaultdocdir}

%find_lang %{name}

%files -f %{name}.lang
%doc data/spacefm-manual-en.html
%{_bindir}/%{name}*
%dir %{_sysconfdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/spacefm-mime.xml
%{_iconsdir}/hicolor/*/apps/%{name}*.png
%{_iconsdir}/Faenza/apps/*/spacefm*.png


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.8.7-2.mga4
+ Revision: 523824
- Mageia 4 Mass Rebuild

* Sat May 25 2013 wally <wally> 0.8.7-1.mga4
+ Revision: 427438
- new version 0.8.7
- drop unneeded str fmt patch

* Mon Jan 14 2013 umeabot <umeabot> 0.8.4-2.mga3
+ Revision: 382406
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 wally <wally> 0.8.4-1.mga3
+ Revision: 336144
- new version 0.8.4
- suggest some pkgs for optional functionality

* Sat Dec 01 2012 wally <wally> 0.8.3-1.mga3
+ Revision: 324236
- imported package spacefm

